
//! Autogenerated weights for `pallet_authority_members`
//!
//! THIS FILE WAS AUTO-GENERATED USING THE SUBSTRATE BENCHMARK CLI VERSION 4.0.0-dev
//! DATE: 2023-11-22, STEPS: `50`, REPEAT: `20`, LOW RANGE: `[]`, HIGH RANGE: `[]`
//! WORST CASE MAP SIZE: `1000000`
//! HOSTNAME: `bgallois-ms7d43`, CPU: `12th Gen Intel(R) Core(TM) i3-12100F`
//! EXECUTION: None, WASM-EXECUTION: Compiled, CHAIN: Some("dev"), DB CACHE: 1024

// Executed Command:
// ./target/release/duniter
// benchmark
// pallet
// --chain
// dev
// --wasm-execution=compiled
// --pallet
// *
// --extrinsic
// *
// --steps
// 50
// --repeat
// 20
// --output=runtime/common/src/weights/

#![cfg_attr(rustfmt, rustfmt_skip)]
#![allow(unused_parens)]
#![allow(unused_imports)]
#![allow(missing_docs)]

use frame_support::{traits::Get, weights::Weight};
use core::marker::PhantomData;

/// Weight functions for `pallet_authority_members`.
pub struct WeightInfo<T>(PhantomData<T>);
impl<T: frame_system::Config> pallet_authority_members::WeightInfo for WeightInfo<T> {
	/// Storage: Identity IdentityIndexOf (r:1 w:0)
	/// Proof Skipped: Identity IdentityIndexOf (max_values: None, max_size: None, mode: Measured)
	/// Storage: SmithMembership Membership (r:1 w:0)
	/// Proof Skipped: SmithMembership Membership (max_values: None, max_size: None, mode: Measured)
	/// Storage: AuthorityMembers Members (r:1 w:0)
	/// Proof Skipped: AuthorityMembers Members (max_values: None, max_size: None, mode: Measured)
	/// Storage: AuthorityMembers OutgoingAuthorities (r:1 w:1)
	/// Proof Skipped: AuthorityMembers OutgoingAuthorities (max_values: Some(1), max_size: None, mode: Measured)
	/// Storage: AuthorityMembers IncomingAuthorities (r:1 w:0)
	/// Proof Skipped: AuthorityMembers IncomingAuthorities (max_values: Some(1), max_size: None, mode: Measured)
	/// Storage: AuthorityMembers OnlineAuthorities (r:1 w:0)
	/// Proof Skipped: AuthorityMembers OnlineAuthorities (max_values: Some(1), max_size: None, mode: Measured)
	/// Storage: AuthorityMembers AuthoritiesCounter (r:1 w:1)
	/// Proof Skipped: AuthorityMembers AuthoritiesCounter (max_values: Some(1), max_size: None, mode: Measured)
	fn go_offline() -> Weight {
		// Proof Size summary in bytes:
		//  Measured:  `697`
		//  Estimated: `4162`
		// Minimum execution time: 14_884_000 picoseconds.
		Weight::from_parts(15_418_000, 0)
			.saturating_add(Weight::from_parts(0, 4162))
			.saturating_add(T::DbWeight::get().reads(7))
			.saturating_add(T::DbWeight::get().writes(2))
	}
	/// Storage: Identity IdentityIndexOf (r:1 w:0)
	/// Proof Skipped: Identity IdentityIndexOf (max_values: None, max_size: None, mode: Measured)
	/// Storage: SmithMembership Membership (r:1 w:0)
	/// Proof Skipped: SmithMembership Membership (max_values: None, max_size: None, mode: Measured)
	/// Storage: AuthorityMembers BlackList (r:1 w:0)
	/// Proof Skipped: AuthorityMembers BlackList (max_values: Some(1), max_size: None, mode: Measured)
	/// Storage: AuthorityMembers Members (r:1 w:0)
	/// Proof Skipped: AuthorityMembers Members (max_values: None, max_size: None, mode: Measured)
	/// Storage: Session NextKeys (r:1 w:0)
	/// Proof Skipped: Session NextKeys (max_values: None, max_size: None, mode: Measured)
	/// Storage: AuthorityMembers IncomingAuthorities (r:1 w:1)
	/// Proof Skipped: AuthorityMembers IncomingAuthorities (max_values: Some(1), max_size: None, mode: Measured)
	/// Storage: AuthorityMembers OutgoingAuthorities (r:1 w:0)
	/// Proof Skipped: AuthorityMembers OutgoingAuthorities (max_values: Some(1), max_size: None, mode: Measured)
	/// Storage: AuthorityMembers OnlineAuthorities (r:1 w:0)
	/// Proof Skipped: AuthorityMembers OnlineAuthorities (max_values: Some(1), max_size: None, mode: Measured)
	/// Storage: AuthorityMembers AuthoritiesCounter (r:1 w:1)
	/// Proof Skipped: AuthorityMembers AuthoritiesCounter (max_values: Some(1), max_size: None, mode: Measured)
	fn go_online() -> Weight {
		// Proof Size summary in bytes:
		//  Measured:  `1087`
		//  Estimated: `4552`
		// Minimum execution time: 18_491_000 picoseconds.
		Weight::from_parts(19_385_000, 0)
			.saturating_add(Weight::from_parts(0, 4552))
			.saturating_add(T::DbWeight::get().reads(9))
			.saturating_add(T::DbWeight::get().writes(2))
	}
	/// Storage: Identity IdentityIndexOf (r:1 w:0)
	/// Proof Skipped: Identity IdentityIndexOf (max_values: None, max_size: None, mode: Measured)
	/// Storage: SmithMembership Membership (r:1 w:0)
	/// Proof Skipped: SmithMembership Membership (max_values: None, max_size: None, mode: Measured)
	/// Storage: System Account (r:1 w:0)
	/// Proof: System Account (max_values: None, max_size: Some(126), added: 2601, mode: MaxEncodedLen)
	/// Storage: Session NextKeys (r:1 w:1)
	/// Proof Skipped: Session NextKeys (max_values: None, max_size: None, mode: Measured)
	/// Storage: Session KeyOwner (r:4 w:0)
	/// Proof Skipped: Session KeyOwner (max_values: None, max_size: None, mode: Measured)
	/// Storage: AuthorityMembers Members (r:0 w:1)
	/// Proof Skipped: AuthorityMembers Members (max_values: None, max_size: None, mode: Measured)
	fn set_session_keys() -> Weight {
		// Proof Size summary in bytes:
		//  Measured:  `1468`
		//  Estimated: `12358`
		// Minimum execution time: 21_063_000 picoseconds.
		Weight::from_parts(22_045_000, 0)
			.saturating_add(Weight::from_parts(0, 12358))
			.saturating_add(T::DbWeight::get().reads(8))
			.saturating_add(T::DbWeight::get().writes(2))
	}
	/// Storage: AuthorityMembers Members (r:1 w:1)
	/// Proof Skipped: AuthorityMembers Members (max_values: None, max_size: None, mode: Measured)
	/// Storage: AuthorityMembers OnlineAuthorities (r:1 w:1)
	/// Proof Skipped: AuthorityMembers OnlineAuthorities (max_values: Some(1), max_size: None, mode: Measured)
	/// Storage: AuthorityMembers OutgoingAuthorities (r:1 w:1)
	/// Proof Skipped: AuthorityMembers OutgoingAuthorities (max_values: Some(1), max_size: None, mode: Measured)
	/// Storage: AuthorityMembers AuthoritiesCounter (r:1 w:1)
	/// Proof Skipped: AuthorityMembers AuthoritiesCounter (max_values: Some(1), max_size: None, mode: Measured)
	/// Storage: AuthorityMembers IncomingAuthorities (r:1 w:1)
	/// Proof Skipped: AuthorityMembers IncomingAuthorities (max_values: Some(1), max_size: None, mode: Measured)
	/// Storage: Session NextKeys (r:1 w:1)
	/// Proof Skipped: Session NextKeys (max_values: None, max_size: None, mode: Measured)
	/// Storage: System Account (r:1 w:1)
	/// Proof: System Account (max_values: None, max_size: Some(126), added: 2601, mode: MaxEncodedLen)
	/// Storage: SmithMembership Membership (r:1 w:1)
	/// Proof Skipped: SmithMembership Membership (max_values: None, max_size: None, mode: Measured)
	/// Storage: SmithMembership CounterForMembership (r:1 w:1)
	/// Proof: SmithMembership CounterForMembership (max_values: Some(1), max_size: Some(4), added: 499, mode: MaxEncodedLen)
	/// Storage: SmithMembership MembershipsExpireOn (r:1 w:1)
	/// Proof Skipped: SmithMembership MembershipsExpireOn (max_values: None, max_size: None, mode: Measured)
	/// Storage: Session KeyOwner (r:0 w:4)
	/// Proof Skipped: Session KeyOwner (max_values: None, max_size: None, mode: Measured)
	fn remove_member() -> Weight {
		// Proof Size summary in bytes:
		//  Measured:  `930`
		//  Estimated: `4395`
		// Minimum execution time: 36_098_000 picoseconds.
		Weight::from_parts(37_813_000, 0)
			.saturating_add(Weight::from_parts(0, 4395))
			.saturating_add(T::DbWeight::get().reads(10))
			.saturating_add(T::DbWeight::get().writes(14))
	}
	/// Storage: AuthorityMembers BlackList (r:1 w:1)
	/// Proof Skipped: AuthorityMembers BlackList (max_values: Some(1), max_size: None, mode: Measured)
	fn remove_member_from_blacklist() -> Weight {
		// Proof Size summary in bytes:
		//  Measured:  `218`
		//  Estimated: `1703`
		// Minimum execution time: 5_275_000 picoseconds.
		Weight::from_parts(5_438_000, 0)
			.saturating_add(Weight::from_parts(0, 1703))
			.saturating_add(T::DbWeight::get().reads(1))
			.saturating_add(T::DbWeight::get().writes(1))
	}
}
