
//! Autogenerated weights for `pallet_duniter_account`
//!
//! THIS FILE WAS AUTO-GENERATED USING THE SUBSTRATE BENCHMARK CLI VERSION 4.0.0-dev
//! DATE: 2023-11-22, STEPS: `50`, REPEAT: `20`, LOW RANGE: `[]`, HIGH RANGE: `[]`
//! WORST CASE MAP SIZE: `1000000`
//! HOSTNAME: `bgallois-ms7d43`, CPU: `12th Gen Intel(R) Core(TM) i3-12100F`
//! EXECUTION: None, WASM-EXECUTION: Compiled, CHAIN: Some("dev"), DB CACHE: 1024

// Executed Command:
// ./target/release/duniter
// benchmark
// pallet
// --chain
// dev
// --wasm-execution=compiled
// --pallet
// *
// --extrinsic
// *
// --steps
// 50
// --repeat
// 20
// --output=runtime/common/src/weights/

#![cfg_attr(rustfmt, rustfmt_skip)]
#![allow(unused_parens)]
#![allow(unused_imports)]
#![allow(missing_docs)]

use frame_support::{traits::Get, weights::Weight};
use core::marker::PhantomData;

/// Weight functions for `pallet_duniter_account`.
pub struct WeightInfo<T>(PhantomData<T>);
impl<T: frame_system::Config> pallet_duniter_account::WeightInfo for WeightInfo<T> {
	/// Storage: System Account (r:1 w:1)
	/// Proof: System Account (max_values: None, max_size: Some(126), added: 2601, mode: MaxEncodedLen)
	fn unlink_identity() -> Weight {
		// Proof Size summary in bytes:
		//  Measured:  `0`
		//  Estimated: `3591`
		// Minimum execution time: 1_441_000 picoseconds.
		Weight::from_parts(1_629_000, 0)
			.saturating_add(Weight::from_parts(0, 3591))
			.saturating_add(T::DbWeight::get().reads(1))
			.saturating_add(T::DbWeight::get().writes(1))
	}
	/// Storage: Account PendingNewAccounts (r:1 w:1)
	/// Proof Skipped: Account PendingNewAccounts (max_values: None, max_size: None, mode: Measured)
	/// Storage: ProvideRandomness RequestIdProvider (r:1 w:1)
	/// Proof Skipped: ProvideRandomness RequestIdProvider (max_values: Some(1), max_size: None, mode: Measured)
	/// Storage: ProvideRandomness RequestsIds (r:1 w:1)
	/// Proof Skipped: ProvideRandomness RequestsIds (max_values: None, max_size: None, mode: Measured)
	/// Storage: ProvideRandomness CounterForRequestsIds (r:1 w:1)
	/// Proof: ProvideRandomness CounterForRequestsIds (max_values: Some(1), max_size: Some(4), added: 499, mode: MaxEncodedLen)
	/// Storage: Babe EpochIndex (r:1 w:0)
	/// Proof: Babe EpochIndex (max_values: Some(1), max_size: Some(8), added: 503, mode: MaxEncodedLen)
	/// Storage: ProvideRandomness NexEpochHookIn (r:1 w:0)
	/// Proof Skipped: ProvideRandomness NexEpochHookIn (max_values: Some(1), max_size: None, mode: Measured)
	/// Storage: ProvideRandomness RequestsReadyAtEpoch (r:1 w:1)
	/// Proof Skipped: ProvideRandomness RequestsReadyAtEpoch (max_values: None, max_size: None, mode: Measured)
	/// Storage: Account PendingRandomIdAssignments (r:0 w:1)
	/// Proof Skipped: Account PendingRandomIdAssignments (max_values: None, max_size: None, mode: Measured)
	/// The range of component `i` is `[0, 1]`.
	fn on_initialize_sufficient(i: u32, ) -> Weight {
		// Proof Size summary in bytes:
		//  Measured:  `42 + i * (309 ±0)`
		//  Estimated: `3507 + i * (1908 ±0)`
		// Minimum execution time: 1_728_000 picoseconds.
		Weight::from_parts(1_954_869, 0)
			.saturating_add(Weight::from_parts(0, 3507))
			// Standard Error: 12_280
			.saturating_add(Weight::from_parts(8_778_830, 0).saturating_mul(i.into()))
			.saturating_add(T::DbWeight::get().reads(1))
			.saturating_add(T::DbWeight::get().reads((6_u64).saturating_mul(i.into())))
			.saturating_add(T::DbWeight::get().writes((6_u64).saturating_mul(i.into())))
			.saturating_add(Weight::from_parts(0, 1908).saturating_mul(i.into()))
	}
	/// Storage: Account PendingNewAccounts (r:1 w:1)
	/// Proof Skipped: Account PendingNewAccounts (max_values: None, max_size: None, mode: Measured)
	/// Storage: ProvideRandomness RequestIdProvider (r:1 w:1)
	/// Proof Skipped: ProvideRandomness RequestIdProvider (max_values: Some(1), max_size: None, mode: Measured)
	/// Storage: ProvideRandomness RequestsIds (r:1 w:1)
	/// Proof Skipped: ProvideRandomness RequestsIds (max_values: None, max_size: None, mode: Measured)
	/// Storage: ProvideRandomness CounterForRequestsIds (r:1 w:1)
	/// Proof: ProvideRandomness CounterForRequestsIds (max_values: Some(1), max_size: Some(4), added: 499, mode: MaxEncodedLen)
	/// Storage: Babe EpochIndex (r:1 w:0)
	/// Proof: Babe EpochIndex (max_values: Some(1), max_size: Some(8), added: 503, mode: MaxEncodedLen)
	/// Storage: ProvideRandomness NexEpochHookIn (r:1 w:0)
	/// Proof Skipped: ProvideRandomness NexEpochHookIn (max_values: Some(1), max_size: None, mode: Measured)
	/// Storage: ProvideRandomness RequestsReadyAtEpoch (r:1 w:1)
	/// Proof Skipped: ProvideRandomness RequestsReadyAtEpoch (max_values: None, max_size: None, mode: Measured)
	/// Storage: Account PendingRandomIdAssignments (r:0 w:1)
	/// Proof Skipped: Account PendingRandomIdAssignments (max_values: None, max_size: None, mode: Measured)
	/// The range of component `i` is `[0, 1]`.
	fn on_initialize_with_balance(i: u32, ) -> Weight {
		// Proof Size summary in bytes:
		//  Measured:  `42 + i * (309 ±0)`
		//  Estimated: `3507 + i * (1908 ±0)`
		// Minimum execution time: 1_726_000 picoseconds.
		Weight::from_parts(1_952_720, 0)
			.saturating_add(Weight::from_parts(0, 3507))
			// Standard Error: 21_870
			.saturating_add(Weight::from_parts(17_297_679, 0).saturating_mul(i.into()))
			.saturating_add(T::DbWeight::get().reads(1))
			.saturating_add(T::DbWeight::get().reads((6_u64).saturating_mul(i.into())))
			.saturating_add(T::DbWeight::get().writes((6_u64).saturating_mul(i.into())))
			.saturating_add(Weight::from_parts(0, 1908).saturating_mul(i.into()))
	}
	/// Storage: Account PendingNewAccounts (r:1 w:1)
	/// Proof Skipped: Account PendingNewAccounts (max_values: None, max_size: None, mode: Measured)
	/// The range of component `i` is `[0, 1]`.
	fn on_initialize_no_balance(i: u32, ) -> Weight {
		// Proof Size summary in bytes:
		//  Measured:  `42 + i * (74 ±0)`
		//  Estimated: `3507 + i * (74 ±0)`
		// Minimum execution time: 1_751_000 picoseconds.
		Weight::from_parts(1_982_969, 0)
			.saturating_add(Weight::from_parts(0, 3507))
			// Standard Error: 13_323
			.saturating_add(Weight::from_parts(3_059_030, 0).saturating_mul(i.into()))
			.saturating_add(T::DbWeight::get().reads(1))
			.saturating_add(T::DbWeight::get().writes((1_u64).saturating_mul(i.into())))
			.saturating_add(Weight::from_parts(0, 74).saturating_mul(i.into()))
	}
	/// Storage: Account PendingRandomIdAssignments (r:1 w:1)
	/// Proof Skipped: Account PendingRandomIdAssignments (max_values: None, max_size: None, mode: Measured)
	fn on_filled_randomness_pending() -> Weight {
		// Proof Size summary in bytes:
		//  Measured:  `116`
		//  Estimated: `3581`
		// Minimum execution time: 5_354_000 picoseconds.
		Weight::from_parts(5_648_000, 0)
			.saturating_add(Weight::from_parts(0, 3581))
			.saturating_add(T::DbWeight::get().reads(1))
			.saturating_add(T::DbWeight::get().writes(1))
	}
	/// Storage: Account PendingRandomIdAssignments (r:1 w:0)
	/// Proof Skipped: Account PendingRandomIdAssignments (max_values: None, max_size: None, mode: Measured)
	fn on_filled_randomness_no_pending() -> Weight {
		// Proof Size summary in bytes:
		//  Measured:  `42`
		//  Estimated: `3507`
		// Minimum execution time: 1_297_000 picoseconds.
		Weight::from_parts(1_382_000, 0)
			.saturating_add(Weight::from_parts(0, 3507))
			.saturating_add(T::DbWeight::get().reads(1))
	}
}
